# ApplicationStartup class abstract

Instruments the application startup phase using StartupSteps.

Framework and infrastructure components can use this abstraction to record actions that occur during application bootstrapping. These steps can include tagging, parent-child relationships, and timing metrics depending on the concrete implementation.

This is primarily used for diagnostics, profiling, or debugging.

### Example:

    final startup = MyApplicationStartup(); // or use ApplicationStartup.DEFAULT
    final step = startup.start('context.refresh');
    step.tag('pod.count', '25');
    step.end();

## Constructors

ApplicationStartup.new()

## Properties

hashCode → int
  The hash code for this object.
  no setter inherited
runtimeType → Type
  A representation of the runtime type of the object.
  no setter inherited

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
start(String name) → StartupStep
  Creates and starts a new StartupStep with the given `name`.
toString() → String
  A string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator.
  inherited